import { Overlay } from '@angular/cdk/overlay';
import { Injector, OnDestroy } from '@angular/core';
import { LightboxConfig } from './lightbox-config';
import { LightboxComponent } from './lightbox.component';
export declare class LightboxService implements OnDestroy {
    private _overlay;
    private _injector;
    private _overlayRef?;
    private _lightboxRef?;
    constructor(_overlay: Overlay, _injector: Injector);
    open(config: LightboxConfig): LightboxComponent;
    close(): void;
    private _attachLightboxContainer;
    ngOnDestroy(): void;
    private _dispose;
}
